Naprawa uszkodzonych pakietów

Tutaj można zadać pytanie, jeśli Linuksa widzi się pierwszy raz w życiu ;)
Awatar użytkownika
ilem
Sędziwy Jeż
Sędziwy Jeż
Posty: 78
Rejestracja: 04 mar 2010, 14:44
Płeć: Mężczyzna
Wersja Ubuntu: 14.04
Środowisko graficzne: Unity
Architektura: x86

Naprawa uszkodzonych pakietów

Postautor: ilem » 23 lip 2010, 19:45

W menedżerze aktualizacji mam do zainstalowania cztery aktualizacje, ale są one nieaktywne.
Tweak również je pokazuje ale na polecenia zainstaluj odpowiada : należy najpierw naprawić uszkodzone pakiety.
Obrazek

Jak ?
Pozdrawiam.
bear7
Moderator
Moderator
Posty: 6688
Rejestracja: 21 sty 2009, 00:12
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Lokalizacja: pwd

Odp: Naprawa uszkodzonych pakietów

Postautor: bear7 » 23 lip 2010, 20:02

Odpal terminal i wklep:

Kod: Zaznacz cały

sudo apt-get install -f

Jak nie pomoże, to (choć chyba są to polecenia równoznaczne):

Kod: Zaznacz cały

sudo dpkg --configure -a


A jak dalej nie pomoże, to:

Kod: Zaznacz cały

sudo apt-get dist-upgrade
O pomoc pytaj a forum, a nie przez PW.
Awatar użytkownika
ilem
Sędziwy Jeż
Sędziwy Jeż
Posty: 78
Rejestracja: 04 mar 2010, 14:44
Płeć: Mężczyzna
Wersja Ubuntu: 14.04
Środowisko graficzne: Unity
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: ilem » 23 lip 2010, 20:08

Po wykonaniu ostatniego polecenia :

Kod: Zaznacz cały

Następujące pakiety zostały zatrzymane:
  libido-0.1-0 linux-generic linux-headers-generic linux-image-generic
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 4 nieaktualizowanych.


edit

po próbie aktualizacje , komunikat
[IMG=http://img832.imageshack.us/img832/4782/zrzutekranu2.th.png][/IMG]
Awatar użytkownika
Noea
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 241
Rejestracja: 14 kwie 2008, 08:45
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: Unity
Architektura: x86_64
Kontaktowanie:

Odp: Naprawa uszkodzonych pakietów

Postautor: Noea » 23 lip 2010, 22:53

masz zduplikowane wpisy w sources.lst , usun wpisy wpisaujac

Kod: Zaznacz cały

sudo gedit /etc/apt/sources.list

lub wejdz w System --> Administracja -->Zrodla oprogramowania -->zakladka Inne oprogramowanie
lub uruchom Ubuntu tweak -->edytor repozytoriow
po wszystkim zrob update
Ubuntu Counter Project - user number # 23841
AMD Phenom II X2 , GF 9800 GT , 4 gb ram - U 10.4
Awatar użytkownika
ilem
Sędziwy Jeż
Sędziwy Jeż
Posty: 78
Rejestracja: 04 mar 2010, 14:44
Płeć: Mężczyzna
Wersja Ubuntu: 14.04
Środowisko graficzne: Unity
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: ilem » 23 lip 2010, 23:04

Noea pisze:masz zduplikowane wpisy w sources.lst , usun wpisy wpisaujac

Kod: Zaznacz cały

sudo gedit /etc/apt/sources.list

oto wynik polecenia

Kod: Zaznacz cały

leszek@leszek-laptop:~$ sudo gedit /etc/apt/sources.lis

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gedit:1878): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gedit:1878): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
 


W menedżerze aktualizacji nadal są 4 aktualizacje "szare"
Awatar użytkownika
Noea
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 241
Rejestracja: 14 kwie 2008, 08:45
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: Unity
Architektura: x86_64
Kontaktowanie:

Odp: Naprawa uszkodzonych pakietów

Postautor: Noea » 23 lip 2010, 23:16

tu masz prawdopodbne rozwiazanie
http://linuksowo.pl/index.php?t=msg&goto=28597&S=b7383db132b8545041daa7536fccd2d0
zobacz czy to to zrob i zobacz z tego co widzialem jest to jakis bug zwiazany z biblioteka glib
Ubuntu Counter Project - user number # 23841

AMD Phenom II X2 , GF 9800 GT , 4 gb ram - U 10.4
Awatar użytkownika
ilem
Sędziwy Jeż
Sędziwy Jeż
Posty: 78
Rejestracja: 04 mar 2010, 14:44
Płeć: Mężczyzna
Wersja Ubuntu: 14.04
Środowisko graficzne: Unity
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: ilem » 23 lip 2010, 23:23

Noea pisze:tu masz prawdopodbne rozwiazanie
http://linuksowo.pl/index.php?t=msg&goto=28597&S=b7383db132b8545041daa7536fccd2d0
zobacz czy to to zrob i zobacz z tego co widzialem jest to jakis bug zwiazany z biblioteka glib


Czy mam:
gconf-editor i apps -> nautilus -> preferences -> always use browser <- zaptaszkować

?
Nic nie rozumiem :sad:
Awatar użytkownika
Noea
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 241
Rejestracja: 14 kwie 2008, 08:45
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: Unity
Architektura: x86_64
Kontaktowanie:

Odp: Naprawa uszkodzonych pakietów

Postautor: Noea » 23 lip 2010, 23:46

gconf-editor to edytor konnfiguracji gnome , zakladka nautilus chodz chyba u Ciebie bedzie predzej gedit
alt+f2 i wrzuc gconf-editor
nie znalazlem juz nic podobnego , wszytko tyczy sie aplikacji uruchamianych w srodowisku ale co dalej ...
Ubuntu Counter Project - user number # 23841

AMD Phenom II X2 , GF 9800 GT , 4 gb ram - U 10.4
lawojku
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 110
Rejestracja: 01 wrz 2008, 09:31
Wersja Ubuntu: inny OS
Środowisko graficzne: KDE4
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: lawojku » 23 lip 2010, 23:50

u mnie dziś wystąpiło to samo przy aktualizacji i również z podpowiedzi nic nie rozumiem.
Awatar użytkownika
ilem
Sędziwy Jeż
Sędziwy Jeż
Posty: 78
Rejestracja: 04 mar 2010, 14:44
Płeć: Mężczyzna
Wersja Ubuntu: 14.04
Środowisko graficzne: Unity
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: ilem » 23 lip 2010, 23:59

...co dalej

Obrazek

stoję w miejscu. :???:
Awatar użytkownika
Noea
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 241
Rejestracja: 14 kwie 2008, 08:45
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: Unity
Architektura: x86_64
Kontaktowanie:

Odp: Naprawa uszkodzonych pakietów

Postautor: Noea » 24 lip 2010, 00:03

dobra sprawdzilem u siebie , z tego co widze jest jakis pad z pobraniem naglowkow i samego nowgo kernela nie ma sie co przejmowac za jakis czas pewnie zostana odblokowane , a co do bledow to juz mi sie pomysly koncza

edit :

na wlasne ryzyko -- synaptic - stan - pakiety do aktualizacji
pozniej zaznacz pakiet - wybierz z menu pakiet --> wymus wersje

co sie pozniej stanie niewiadomo :) pewnie dlatego ubuntu kernel team zablokowal aktualizacje.
Ubuntu Counter Project - user number # 23841

AMD Phenom II X2 , GF 9800 GT , 4 gb ram - U 10.4
lawojku
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 110
Rejestracja: 01 wrz 2008, 09:31
Wersja Ubuntu: inny OS
Środowisko graficzne: KDE4
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: lawojku » 24 lip 2010, 00:11

wymusić wersję można, próbowałem, ale to raczej nie jest dobry pomysł, jeżeli mamy sprawdzone repozytoria, tak mi się wydaje.
Awatar użytkownika
ilem
Sędziwy Jeż
Sędziwy Jeż
Posty: 78
Rejestracja: 04 mar 2010, 14:44
Płeć: Mężczyzna
Wersja Ubuntu: 14.04
Środowisko graficzne: Unity
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: ilem » 24 lip 2010, 01:49

Już ok. pobrał się nowy kernel, a wraz z nim pozostałe aktualizacje. Widać to była "ich" wina.
Pozdrawiam.
lawojku
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 110
Rejestracja: 01 wrz 2008, 09:31
Wersja Ubuntu: inny OS
Środowisko graficzne: KDE4
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: lawojku » 24 lip 2010, 17:43

u mnie też, wszystko ok.
krzysiuct
Piegowaty Guziec
Piegowaty Guziec
Posty: 3
Rejestracja: 16 mar 2011, 13:57
Płeć: Mężczyzna
Wersja Ubuntu: 10.10
Środowisko graficzne: GNOME
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: krzysiuct » 16 mar 2011, 14:01

witam!!!
a co w przypadku jeśli uszkodzony pakiet nie chce się naprawić?
jestem nowy i nie wiem o co kaman


zrzut terminala:


root@krzysztof-TravelMate-5320:~/Pulpit# apt-get install -f
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Naprawianie zależności... Gotowe
Zostaną zainstalowane następujące dodatkowe pakiety:
x11-xserver-utils
Sugerowane pakiety:
nickle cairo-5c
Następujące pakiety zostaną zaktualizowane:
x11-xserver-utils
1 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 0B/170kB archiwów.
Po tej operacji zostanie dodatkowo użyte 0B miejsca na dysku.
Kontynuować [T/n]? t
UWAGA: Następujące pakiety nie mogą zostać zweryfikowane!
x11-xserver-utils
Zainstalować te pakiety bez weryfikacji [t/N]? t
dpkg: błąd parsowania, w pliku "/var/lib/dpkg/status" niedaleko linii 19216 pakiet "x11-xserver-utils":
pole "Depends", błędna nazwa pakietu "libi#e6": znak "#" jest niedozwolony (można użyć tylko liter, cyfr i "-+._")
E: Sub-process /usr/bin/dpkg returned an error code (2)
root@krzysztof-TravelMate-5320:~/Pulpit#
Awatar użytkownika
Dwimenor
Redaktor
Redaktor
Posty: 1260
Rejestracja: 18 mar 2008, 17:14
Płeć: Mężczyzna
Wersja Ubuntu: 13.10
Architektura: x86_64

Odp: Naprawa uszkodzonych pakietów

Postautor: Dwimenor » 16 mar 2011, 14:12

spróbuj wykonać

Kod: Zaznacz cały

sudo apt-get update

aby zaktualizowało informacje o pakietach. Następnie

Kod: Zaznacz cały

sudo apt-get install -f


jeżeli nie pomoże, musisz otworzyć plik

Kod: Zaznacz cały

sudo gedit /var/lib/dpkg/status

Przejdź do linii 19216 i spróbuj naprawić tam to o co ci terminal krzyczy. Prawdopodobnie powinno być tam libice6
Poniższe zdanie jest fałszywe.
Powyższe zdanie jest prawdziwe.
Awatar użytkownika
k2cl
Przyjaciel
Przyjaciel
Posty: 3632
Rejestracja: 09 gru 2007, 13:48
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: LXDE
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: k2cl » 16 mar 2011, 14:15

System wyraźnie zgłasza - masz błąd w pliku /var/lib/dpkg/status... nawet linijkę wymienił, żebyś nie musiał szukać na piechotę :)

EDIT:
...a oto linia "Depends:" dla pakietu x11-xserver-utils, tyle że z 10.04:
Depends: libc6 (>= 2.7), libice6 (>= 1:1.0.0), libx11-6 (>= 0), libxau6, libxaw7, libxext6 (>= 0), libxi6 (>= 0), libxmu6, libxmuu1, libxrandr2 (>= 2:1.2.99.3), libxrender1, libxt6, libxxf86vm1, cpp
Wklejam ją tutaj, żeby wiadomo było, jak z grubsza powinna wyglądać. Gdyby ta linijka w Twoim /var/lib/dpkg/status była kompletnie zmasakrowana, dokładną listę zależności znajdziesz tutaj:
http://packages.ubuntu.com/maverick/x11-xserver-utils
Work less, climb more :D
krzysiuct
Piegowaty Guziec
Piegowaty Guziec
Posty: 3
Rejestracja: 16 mar 2011, 13:57
Płeć: Mężczyzna
Wersja Ubuntu: 10.10
Środowisko graficzne: GNOME
Architektura: x86

Odp: Naprawa uszkodzonych pakietów

Postautor: krzysiuct » 16 mar 2011, 14:33

Depends: libc6 (>= 2.7), libi#e6 (>= 1:1.0.0), libx11-6, libxau6, libxaw7, libxext6, libxi6, libxmu6, libxmuu1, libxrandr2 (>= 2:1.2.99.3), libxrender1, libxt6, libxxf86vm1, cpp




zamieniłem libi#e6 na libice6 i wszystko ok

dziękuję za pomoc

Wróć do „Przedszkole Linuksa”

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 4 gości